# Uses of Interface
org.eclipse.net4j.util.io.ExtendedDataInput

Packages that use ExtendedDataInput
Package
Description
org.eclipse.net4j.util.collection
Additional collection-like interfaces and classes.
org.eclipse.net4j.util.io
Interfaces and classes for I/O.
org.eclipse.net4j.util.security
Interfaces and classes for security, negotiation, authentication, authorization and cryptography.
org.eclipse.net4j.util.security.operations

## Uses of ExtendedDataInput in org.eclipse.net4j.util.collection

Methods in org.eclipse.net4j.util.collection with parameters of type ExtendedDataInput
Modifier and Type
Method
Description
`static Entity`
Entity.`read(ExtendedDataInput in)`
`static Entity`
Entity.`read(ExtendedDataInput in, StringCompressor compressor)`

## Uses of ExtendedDataInput in org.eclipse.net4j.util.io

Classes in org.eclipse.net4j.util.io that implement ExtendedDataInput
Modifier and Type
Class
Description
`class`
`DataInputExtender`
`static class`
`ExtendedDataInput.Delegating`
`class`
`ExtendedDataInputStream`
Methods in org.eclipse.net4j.util.io that return ExtendedDataInput
Modifier and Type
Method
Description
`ExtendedDataInput`
ExtendedDataInput.Delegating.`getDelegate()`
`ExtendedDataInput`
ExtendedDataInput.Stream.`getDelegate()`
Methods in org.eclipse.net4j.util.io with parameters of type ExtendedDataInput
Modifier and Type
Method
Description
`String`
StringCompressor.`read(ExtendedDataInput in)`
`String`
StringIO.`read(ExtendedDataInput in)`
`Collection<Integer>`
StringCompressor.`readAcknowledgements(ExtendedDataInput in)`
`protected abstract K`
SortedFileMap.`readKey(ExtendedDataInput in)`
`protected String`
StringCompressor.Counting.`readString(ExtendedDataInput in)`
`protected String`
StringCompressor.`readString(ExtendedDataInput in)`
`protected abstract V`
SortedFileMap.`readValue(ExtendedDataInput in)`
Constructors in org.eclipse.net4j.util.io with parameters of type ExtendedDataInput
Modifier
Constructor
Description
``
`Delegating(ExtendedDataInput delegate)`
``
`Stream(ExtendedDataInput delegate)`

## Uses of ExtendedDataInput in org.eclipse.net4j.util.security

Constructors in org.eclipse.net4j.util.security with parameters of type ExtendedDataInput
Modifier
Constructor
Description
``
`Challenge(ExtendedDataInput in)`
``
`Response(ExtendedDataInput in)`

## Uses of ExtendedDataInput in org.eclipse.net4j.util.security.operations

Methods in org.eclipse.net4j.util.security.operations with parameters of type ExtendedDataInput
Modifier and Type
Method
Description
`static AuthorizableOperation`
AuthorizableOperation.`read(ExtendedDataInput in)`
`static AuthorizableOperation`
AuthorizableOperation.`read(ExtendedDataInput in, boolean useParameterFilter)`
`static AuthorizableOperation`
AuthorizableOperation.`read(ExtendedDataInput in, ObjectInputFilter parameterFilter)`
Constructors in org.eclipse.net4j.util.security.operations with parameters of type ExtendedDataInput
Modifier
Constructor
Description
``
`AuthorizableOperationImpl(ExtendedDataInput in)`
Deprecated.